import Vue from 'vue'
import LoadingComponent from './Component'

const Component = Vue.extend(LoadingComponent)
let instance = null
let instances = []

const Loading = opts => {
  if (Vue.prototype.$isServer) return

  const options = opts || {}
  const id = 'Panther-Loading'

  options.onClose = Loading.close(id)
  instance = new Component({
    data: options
  })

  instance.id = id
  instance.vm = instance.$mount()
  document.body.appendChild(instance.vm.$el)
  instance.vm.visible = true
  instances.push(instance)

  return instance.vm
}

Loading.close = id => {
  instances = instances.filter(i => i.id !== id)
}

export default Loading
