import Vue from 'vue'
import component from './component'

const UiMessage = Vue.extend(component)
let instance = null
let instances = []
let seed = 1

const Message = options => {
  if (Vue.prototype.$isServer) return

  const id = `msg_${seed++}`
  const opts = (
    typeof options === 'string'
    ? { message: options }
    : options
  )

  opts.onClose = () => {
    Message.close(id)
  }
  instance = new UiMessage({
    data: opts
  })

  instance.id = id
  instance.vm = instance.$mount()
  document.body.appendChild(instance.vm.$el)
  instance.vm.visible = true
  instances.push(instance)

  return instance.vm
}

Message.close = id => {
  for (let i = 0, len = instances.length; i < len; i++) {
    if (id === instances[i].id) {
      instances.splice(i, 1)
      break
    }
  }
}

export default Message
