import './sass/master.scss'
import VueDirectiveTooltip from 'vue-directive-tooltip'
import components from './components/components'
import prototypes from './components/prototypes'

const install = (Vue) => {
  if (install.installed) return

  components.forEach(component => {
    component.install(Vue)
  })

  Vue.prototype.$notify = prototypes.Notify
  Vue.prototype.$loading = prototypes.Loading

  // Third-Party
  Vue.use(VueDirectiveTooltip, {
    delay: 200,
    placement: 'auto',
    class: 'Panther-Tooltip',
    triggers: ['hover'],
    offset: 6
  })
}

if (window && window.Vue) {
  install(window.Vue)
}

export default {
  install
}
